---
title: CSS Device Adaptation
slug: Web/CSS/CSS_Device_Adaptation
tags:
  - CSS
  - CSS Device Adaptation
  - Guide
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p><strong>CSS Device Adaptation</strong> is a module of CSS that lets you define the size, zoom factor, and orientation of the viewport.</p>

<h2 id="Reference">Reference</h2>

<h3 id="At-rules">At-rules</h3>

<div class="index">
<ul>
 <li>{{cssxref("@viewport")}}</li>
</ul>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Device")}}</td>
   <td>{{Spec2("CSS3 Device")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<h3 id="viewport_rule"><code>@viewport</code> rule</h3>

<div>

<p>{{Compat("css.at-rules.viewport")}}</p>
</div>
